Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Juri Linkov <[email-masked]>
Date: Sun, 07 Feb 2021 21:05:12 +0200

> I added code to make the frame setting of tab-bar-lines as well as the
> default-frame-alist value dependent on tab-bar-show to the
> tab-bar-mode function.
> I think with this the part to which sets frame parameters in
> tab-bar-show :set is not needed because (tab-bar-mode 1) is called
> anyway, which already does everything.
>
> What do you think about the attached patch?

I think your earlier idea was better - to have a dynamic function which
counts the numbers of tabs and adapts the number of tab-bar-lines
according to the value of tab-bar-show.

Then such a function could be called from many places:
- tab-bar-mode
- tab-bar-show :set
- from the end of tab-bar-new-tab-to
- from the end of tab-bar-close-tab
- from the end of tab-bar-close-other-tabs

to sync the actual tabs with the value of tab-bar-show.